import { createRouter, createWebHashHistory } from "vue-router";

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      redirect: "/pushSystem",
    },
    {
      path: "/pushSystem",
      name: "pushSystem",
      component: () => import("@/views/pushSystem/index.vue"),
    },
  ],
});

router.beforeEach((to, from, next) => {
  next();
});

export default router;

